Bug 141617 - UI: Icons for Spacing and Indentation are Inconsistent in Sukapura Theme
Summary: UI: Icons for Spacing and Indentation are Inconsistent in Sukapura Theme
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Icon-Theme-Sukapura
  Show dependency treegraph
 
Reported: 2021-04-11 05:12 UTC by Rizal Muttaqin
Modified: 2021-12-09 11:08 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
Spacing and Indentation icons in Sukapura theme (7.65 KB, image/png)
2021-04-11 05:12 UTC, Rizal Muttaqin
Details
Here is the screenshot of proposed update (7.80 KB, image/png)
2021-04-11 05:21 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2021-04-11 05:12:24 UTC
Created attachment 171093 [details]
Spacing and Indentation icons in Sukapura theme

The icons for spacing and indentation are inconsistent in Sukapura. Some of them are using arrow with heavy weight line and others use "I roman" shape with thinner line.

Step to reproduce:
1. Set icon theme to Sukapura and then restart LibO (if you have not set it)
2. Enable/View Sidebar in Writer
3. See the spacing and indentation icon in Paragraph section

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: d214ab444e73490f4c95dffd7f376978cbcd3ccc
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: id-ID (id_ID.UTF-8); UI: id-ID
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-04-09_15:49:45
Calc: threaded
Comment 1 Rizal Muttaqin 2021-04-11 05:21:56 UTC
Created attachment 171094 [details]
Here is the screenshot of proposed update
Comment 2 Commit Notification 2021-04-11 10:20:50 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e5a4149fb909cd1c28488d2d88534b59df738339

Sukapura: tdf#141617 fix inconsistent spacing and indentation icons

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.